#
#    Copyright (C) 2003-2005  James Tauber
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import re



class XHTMLFormatter:


    def __init__(self, link_prefix):
    
        self.link_prefix = link_prefix
        

    def extract_title(self, page_content):
    
        m = re.match(r'(?m)^<h2>([^<]+)</h2>', page_content)
        if m:
            return m.group(1)
        else:
            return None

    
    def format(self, page_content, leo_file=None, resource_getter=None):
    
        return page_content
