#
#    Copyright (C) 2003-2004  James Tauber
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

auto_discovery_link = """\
<link rel="alternate" type="application/atom+xml" title="%(blog_title)s" href="%(atom_href)s" />
"""

atom_header = """\
<?xml version="1.0" encoding="utf-8"?>
<feed version="0.3" xmlns="http://purl.org/atom/ns#" xml:lang="en">
<title>%(blog_title)s</title>
<link rel="alternate" type="text/html" href="%(blog_url)s"/>
<author><name>%(blog_author)s</name></author>
"""

atom_footer = """
</feed>
"""

atom_no_entries = ""

atom_modified = """
<modified>%(iso_time)s</modified>
"""

atom_entry = """
<entry>
<title>%(title)s</title>
<link rel="alternate" type="text/html" href="%(html_link)s"/>
<modified>%(modified)s</modified>
<issued>%(issued)s</issued>
<id>%(html_link)s</id>
</entry>
"""

atom_full_entry = """
<entry>
<title>%(title)s</title>
<link rel="alternate" type="text/html" href="%(html_link)s"/>
<modified>%(modified)s</modified>
<issued>%(issued)s</issued>
<id>%(html_link)s</id>
<content type="text/html" mode="escaped"><![CDATA[%(content)s]]></content>
</entry>
"""
