#
#    Copyright (C) 2003-2004  James Tauber
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

login_title  = "Login"
logout_title = "Logout"

already_logged_in = """
<p class="error">You are already logged in as <tt>%(user_id)s</tt></p>
"""

login_form = """
<form action="%(action)s" method="POST">
  <table>
    <tr>
      <th>Email Address</th>
      <td><input type="text" name="%(email_name)s" value=""/></td>
    </tr>
    <tr>
      <th>Password</th>
      <td><input type="password" name="%(password_name)s"/></td>
    </tr>
    <tr>    
      <th>&nbsp;</th>
      <td><input type="submit" value="login"/></td>
    </tr>
  </table>
<input type="hidden" name="%(return_name)s" value="%(return_path)s"/>
</form>
<p class="debug">%(status_code)s</p>
"""

successful_login = """
<p>Successful login, <tt>%(email)s</tt> from <tt>%(ip_address)s</tt></p>
<p><a href="%(return_href)s">Return to %(return_path)s</a>.</p>
"""

incorrect_password = """
<p class="error">Incorrect Email/Password.</p>
""" + login_form

confirm_logout = """
<p>To confirm logout, press the button below.</p>
<form action="%(action)s" method="POST">
  <input type="hidden" name="%(return_name)s" value="%(return_path)s"/>
  <input type="submit" value="logout"/>
</form>
"""

successful_logout = """
<p>You are now logged out, <tt>%(user_id)s</tt>.</p>
<p><a href="%(return_href)s">Return to %(return_path)s</a>.</p>
"""

not_logged_in = """
<p class="error">You are not currently logged in.</p>
<p class="debug">%(status_code)s</p>
"""

logged_in_menu = """
<p>Logged in as: %(user_id)s</p>
<p><a href="%(logout_href)s">Logout</a></p>
"""

logged_out_menu = """
<p><a href="%(login_href)s">Login</a></p>
"""
