#
#    Copyright (C) 2003-2005  James Tauber
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

page_does_not_exist = """
<p>Page does not exist. Create it with Edit Page if you like.</p>
"""

page_does_not_exist_title = "Page Does Not Exist"

operation_not_allowed = """
<p>Operation not allowed.</p>
"""

operation_not_allowed_title = "Operation Not Allowed"

title_404 = "File Not Found"

content_404 = """
<p>File not found.</p>
"""

time_format = "%A %d %B, %Y"

lastmod_display = """This page last modified %(lastmod)s"""

sub_title = "<h2>%(site_sub_title)s</h2>"

title_template = """
   <h2>%(main_title)s</h2>
"""

page_template = """
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/TD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

 <head>
  <title>%(title)s</title>
  %(head_links)s
 </head>

 <body>

  <div id="top">
   <h1>%(site_title)s</h1> %(sub_title)s
  </div>

  <div id="menu">
   <h3><a href="%(home_page)s">Home Page</a></h3>
   %(menu)s
  </div>

  <div id="main">
   %(title_html)s
   %(content)s
  </div>

  <div id="bottom">
   %(lastmod_display)s
   Copyright 2003-2005 <a href="%(home_page)s">%(copyright_holder)s</a>
  </div>
 </body>
</html>
"""

menu_separator = """
<h3>&nbsp;</h3>
"""
